http://qs1969.pair.com?node_id=149501


in reply to fickle DBI

The other replies are partially correct. To install DBD::mysql with CPAN on any platform you have to have a C compiler. DBD::mysql links into at least 3 different libaries that are created during a mysql build. The same module is developed to work with BOTH mSQL and MySQL, but you need to specify at build time which databases you will be accessing so it builds the correct drivers.

Don't fear the build process, but you should backup your old drivers because that is "the smart thing to do". If you have installed a new version of MySQL and are using an older DBD::mysql it is possible that the libs have been updated and your DBD::mysql file can't be loaded.

Most of the problems encountered in the build have been discussed here: mailing list